Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent
Class CLGeneral

    java.lang.Object
      multivalent.CLGeneral

All Implemented Interfaces:
  ContextListener

Direct Known Subclasses:
  CSSGeneral

public class CLGeneral
extends java.lang.Object
implements ContextListener

Generic context modifier, for runtime creation of new spans and structure, as by style sheets. Not as efficient as special-purpose spans, such as multivalent.std.span.BoldSpan. Use: client creates new GenericContextListener, sets desired parameters, uses like span or structure. Handles all appearance and priority, but nothing about event bindings (need scripting language). Don't need accessors for everything now that assuming everything affectsLayout().

Used frequently by style sheets, same as CLGeneral except priority set to structural priority and box-only attributes such as margin and padding. INode responsible for slipping into/out of Context base__ as enter/exit.

CLGeneral should inherit from CLGeneral because it adds structural attributes: margin, border, padding, .... But CLGeneral should inherit from CLGeneral because it doesn't want the Span fields and methods.

Different style sheets should subclass multivalent.StyleSheet, and their generic ContextListeners should subclass this class, in both cases so that other behaviors can in various situations get an object of type StyleSheet or type CLGeneral and make hay.

Version:
  $Revision: 1.5 $ $Date: 2003/06/02 04:58:39 $

Field Summary
`java.awt.Color` | `background_`
`int` | `borderbottom`
`int` | `borderleft`
`int` | `borderright`
`int` | `bordertop`
`float[]` | `dasharray_`
`float` | `dashphase_`
`java.lang.String` | `display_`
`byte` | `elide_`
`java.lang.String` | `family_`
`int` | `flags_`
`java.awt.Color` | `foreground_`
`int` | `justify_`
`int` | `linecap_`
`int` | `linejoin_`
`float` | `linewidth_`
`int` | `marginbottom`
`int` | `marginleft`
`int` | `marginright`
`int` | `margintop`
`float` | `miterlimit_`
`java.awt.Color` | `overline_`
`java.awt.Color` | `overstrike_`
`int` | `paddingbottom`
`int` | `paddingleft`
`int` | `paddingright`
`int` | `paddingtop`
`protected int` | `priority_`
`java.util.Map<java.lang.Object,java.lang.Object>` | `signal_`
`float` | `size_`
`int` | `spaceabove_`
`int` | `spacebelow_`
`java.awt.Color` | `strokeColor_`
`java.lang.String` | `texttransform_`
`java.awt.Color` | `underline_`
`java.awt.Color` | `underline2_`
`int` | `weight_`
`int` | `xdelta_`
`java.awt.Color` | `xor_`
`int` | `ydelta_`
`double` | `zoom_`

Fields inherited from interface multivalent.ContextListener
`LITTLE, LOT, PRIORITY_LENS, PRIORITY_MAX, PRIORITY_MIN, PRIORITY_SELECTION, PRIORITY_SPAN, PRIORITY_STRUCT, SOME`

Constructor Summary
`CLGeneral()`
`CLGeneral(int priority)`

Method Summary
`boolean` | `appearance(Context cx, boolean all)` All attributes or just inherited ones?
`void` | `copyInto(CLGeneral dest)` All attributes or just inherited ones?
`boolean` | `equals(java.lang.Object o)` Are all attributes equal to those of another CLGeneral?
`byte` | `getAlign()`
`java.awt.Color` | `getBackground()`
`java.lang.String` | `getDisplay()`
`byte` | `getElide()`
`java.lang.String` | `getFamily()`
`int` | `getFlags()`
`byte` | `getFloats()`
`java.awt.Color` | `getForeground()`
`int` | `getJustify()`
`java.awt.Color` | `getOverline()`
`java.awt.Color` | `getOverstrike()`
`int` | `getPriority()` Self-reported priority relative to others of the same class, e.g., other spans.
`float` | `getSize()`
`int` | `getSpaceAbove()`
`int` | `getSpaceBelow()`
`java.awt.Color` | `getstroke()`
`java.lang.String` | `getTextTransform()`
`java.awt.Color` | `getUnderline()`
`java.awt.Color` | `getUnderline2()`
`byte` | `getVAlign()`
`int` | `getWeight()`
`int` | `getXdelta()`
`java.awt.Color` | `getXor()`
`int` | `getYdelta()`
`int` | `hashCode()`
`void` | `invalidate()`
`void` | `setAlign(byte align)`
`void` | `setBackground(java.awt.Color background)`
`void` | `setBorder(java.awt.Insets borders)`
`void` | `setBorder(int border)`
`void` | `setBorder(int top, int left, int bottom, int right)`
`void` | `setDisplay(java.lang.String display)`
`void` | `setElide(byte elide)`
`void` | `setFamily(java.lang.String family)`
`void` | `setFlags(int flags)`
`void` | `setFloats(byte floats)`
`void` | `setFont(NFont font)` Convenience method for setFamily, setStyle, and setSize.
`void` | `setForeground(java.awt.Color foreground)`
`void` | `setJustify(int justify)`
`void` | `setMargins(java.awt.Insets margins)`
`void` | `setMargins(int margin)`
`void` | `setMargins(int top, int left, int bottom, int right)`
`void` | `setOverline(java.awt.Color overline)`
`void` | `setOverstrike(java.awt.Color overstrike)`
`void` | `setPadding(java.awt.Insets padding)`
`void` | `setPadding(int padding)`
`void` | `setPadding(int top, int left, int bottom, int right)`
`void` | `setPriority(int priority)`
`void` | `setSignal(java.lang.Object name, java.lang.Object value)`
`void` | `setSize(float size)`
`void` | `setSpaceAbove(int spaceabove)`
`void` | `setSpaceBelow(int spacebelow)`
`void` | `setStroke(java.awt.Color stroke)`
`void` | `setTextTransform(java.lang.String transform)`
`void` | `setUnderline(java.awt.Color underline)`
`void` | `setUnderline2(java.awt.Color underline2)`
`void` | `setVAlign(byte valign)`
`void` | `setWeight(int weight)`
`void` | `setXdelta(int xdelta)`
`void` | `setXor(java.awt.Color xor)`
`void` | `setYdelta(int ydelta)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### zoom_

    public double zoom_

### xdelta_

    public int xdelta_

### ydelta_

    public int ydelta_

### xor_

    public java.awt.Color xor_

### foreground_

    public java.awt.Color foreground_

### background_

    public java.awt.Color background_

### strokeColor_

    public java.awt.Color strokeColor_

### linewidth_

    public float linewidth_

### linecap_

    public int linecap_

### linejoin_

    public int linejoin_

### miterlimit_

    public float miterlimit_

### dasharray_

    public float[] dasharray_

### dashphase_

    public float dashphase_

### family_

    public java.lang.String family_

### size_

    public float size_

### flags_

    public int flags_

### weight_

    public int weight_

### texttransform_

    public java.lang.String texttransform_

### display_

    public java.lang.String display_

### underline_

    public java.awt.Color underline_

### underline2_

    public java.awt.Color underline2_

### overline_

    public java.awt.Color overline_

### overstrike_

    public java.awt.Color overstrike_

### elide_

    public byte elide_

### justify_

    public int justify_

### spaceabove_

    public int spaceabove_

### spacebelow_

    public int spacebelow_

### marginleft

    public int marginleft

### marginright

    public int marginright

### margintop

    public int margintop

### marginbottom

    public int marginbottom

### borderleft

    public int borderleft

### borderright

    public int borderright

### bordertop

    public int bordertop

### borderbottom

    public int borderbottom

### paddingleft

    public int paddingleft

### paddingright

    public int paddingright

### paddingtop

    public int paddingtop

### paddingbottom

    public int paddingbottom

### priority_

    protected int priority_

### signal_

    public java.util.Map<java.lang.Object,java.lang.Object> signal_

Constructor Detail

### CLGeneral

    public CLGeneral()

### CLGeneral

    public CLGeneral(int priority)

Method Detail

### invalidate

    public void invalidate()

### setXdelta

    public void setXdelta(int xdelta)

### setYdelta

    public void setYdelta(int ydelta)

### setXor

    public void setXor(java.awt.Color xor)

### setForeground

    public void setForeground(java.awt.Color foreground)

### setBackground

    public void setBackground(java.awt.Color background)

### setStroke

    public void setStroke(java.awt.Color stroke)

### setFont

    public void setFont(NFont font)

  Convenience method for setFamily, setStyle, and setSize.

### setFamily

    public void setFamily(java.lang.String family)

### setWeight

    public void setWeight(int weight)

### setFlags

    public void setFlags(int flags)

### setSize

    public void setSize(float size)

### setDisplay

    public void setDisplay(java.lang.String display)

### setTextTransform

    public void setTextTransform(java.lang.String transform)

### setUnderline

    public void setUnderline(java.awt.Color underline)

### setUnderline2

    public void setUnderline2(java.awt.Color underline2)

### setOverline

    public void setOverline(java.awt.Color overline)

### setOverstrike

    public void setOverstrike(java.awt.Color overstrike)

### setElide

    public void setElide(byte elide)

### setJustify

    public void setJustify(int justify)

### setSpaceAbove

    public void setSpaceAbove(int spaceabove)

### setSpaceBelow

    public void setSpaceBelow(int spacebelow)

### setMargins

    public void setMargins(int margin)

### setMargins

    public void setMargins(java.awt.Insets margins)

### setMargins

    public void setMargins(int top,
                           int left,
                           int bottom,
                           int right)

### setBorder

    public void setBorder(int border)

### setBorder

    public void setBorder(java.awt.Insets borders)

### setBorder

    public void setBorder(int top,
                          int left,
                          int bottom,
                          int right)

### setPadding

    public void setPadding(int padding)

### setPadding

    public void setPadding(java.awt.Insets padding)

### setPadding

    public void setPadding(int top,
                           int left,
                           int bottom,
                           int right)

### setAlign

    public void setAlign(byte align)

### setVAlign

    public void setVAlign(byte valign)

### setFloats

    public void setFloats(byte floats)

### setSignal

    public void setSignal(java.lang.Object name,
                          java.lang.Object value)

### getXdelta

    public int getXdelta()

### getYdelta

    public int getYdelta()

### getXor

    public java.awt.Color getXor()

### getForeground

    public java.awt.Color getForeground()

### getBackground

    public java.awt.Color getBackground()

### getstroke

    public java.awt.Color getstroke()

### getFamily

    public java.lang.String getFamily()

### getWeight

    public int getWeight()

### getFlags

    public int getFlags()

### getSize

    public float getSize()

### getDisplay

    public java.lang.String getDisplay()

### getTextTransform

    public java.lang.String getTextTransform()

### getUnderline

    public java.awt.Color getUnderline()

### getUnderline2

    public java.awt.Color getUnderline2()

### getOverline

    public java.awt.Color getOverline()

### getOverstrike

    public java.awt.Color getOverstrike()

### getElide

    public byte getElide()

### getJustify

    public int getJustify()

### getSpaceAbove

    public int getSpaceAbove()

### getSpaceBelow

    public int getSpaceBelow()

### getAlign

    public byte getAlign()

### getVAlign

    public byte getVAlign()

### getFloats

    public byte getFloats()

### getPriority

    public int getPriority()

  Description copied from interface: `ContextListener`
  Self-reported priority relative to others of the same class, e.g., other spans. Use the constants defined here, such as `ContextListener.PRIORITY_LENS`, modified by `ContextListener.LITTLE`/`ContextListener.SOME`/{#link LOT}.

  Specified by:
    `getPriority` in interface `ContextListener`

### setPriority

    public void setPriority(int priority)

### appearance

    public boolean appearance(Context cx,
                              boolean all)

  All attributes or just inherited ones?

  Specified by:
    `appearance` in interface `ContextListener`
    `all` - all attributes or exclude those that are not inherited

### copyInto

    public void copyInto(CLGeneral dest)

  All attributes or just inherited ones?

### equals

    public boolean equals(java.lang.Object o)

  Are all attributes equal to those of another CLGeneral? Can see if any fields have been set by comparing to a known-unmodified ContextSpan.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD